package com.infoepoch.pms.dispatchassistant.domain.langchain.qwen;

public class Usage {
    public Usage() {
    }

    public Usage(Double prompt_tokens, Double completion_tokens, Double total_tokens) {
        this.prompt_tokens = prompt_tokens;
        this.completion_tokens = completion_tokens;
        this.total_tokens = total_tokens;
    }
    private Double prompt_tokens;

    private Double completion_tokens;

    private Double total_tokens;

    public Double getPrompt_tokens() {
        return prompt_tokens;
    }
    public void setPrompt_tokens(Double prompt_tokens) {
        this.prompt_tokens = prompt_tokens;
    }

    public Double getCompletion_tokens() {
        return completion_tokens;
    }
    public void setCompletion_tokens(Double completion_tokens) {
        this.completion_tokens = completion_tokens;
    }

    public Double getTotal_tokens() {
        return total_tokens;
    }
    public void setTotal_tokens(Double total_tokens) {
        this.total_tokens = total_tokens;
    }
}
